'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _parser = require('./parser');

var _parser2 = _interopRequireDefault(_parser);

var _writer = require('./writer');

var _writer2 = _interopRequireDefault(_writer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

/**
 * @file High-level function, template engine entrance file.
 *
 */

var Stouts = function () {
  /**
   * @brief Constructor
   *
   * @param template  {String} Template string
   * @param view  {Object} View Object
   */

  function Stouts(template, view) {
    _classCallCheck(this, Stouts);

    this.template = template;
    this.view = view;
  }

  /**
   * Convert template and view object together into a string.
   */


  _createClass(Stouts, [{
    key: 'render',
    value: function render() {
      var writer = new _writer2.default(this.template, this.view);
      return writer.render();
    }

    /**
     * Convert template and view object together into a string.
     */

  }, {
    key: 'parse',
    value: function parse() {
      var parser = new _parser2.default(this.template);
      return parser.parse();
    }
  }]);

  return Stouts;
}();

exports.default = Stouts;